> ## Documentation Index
> Fetch the complete documentation index at: https://docs.itpgo.ro/llms.txt
> Use this file to discover all available pages before exploring further.

# Get alert by plate

> Retrieve the latest alert status for a given car plate.



## OpenAPI

````yaml generated/openapi.json get /alerts/{plate}
openapi: 3.1.0
info:
  version: 1.0.0
  title: ITPgo API
servers:
  - url: https://itpgo-api.itpgo.workers.dev
    description: Cloudflare Workers development endpoint
  - url: https://api.itpgo.ro
    description: Production API behind Cloudflare managed challenge
security: []
paths:
  /alerts/{plate}:
    get:
      tags:
        - Alerts
      summary: Get alert by plate
      description: Retrieve the latest alert status for a given car plate.
      parameters:
        - schema:
            type: string
            pattern: ^[A-Z0-9-]{3,15}$/i
            example: BV504DAN
          required: true
          name: plate
          in: path
      responses:
        '200':
          description: Alert found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Alert'
        '404':
          description: Alert not found
components:
  schemas:
    Alert:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: 5d06ab7f-dab1-45b8-a084-e63e0b1f6584
        plate:
          type: string
          pattern: ^[A-Z0-9-]{3,15}$/i
          example: B-06-SSS
        status:
          type: string
          enum:
            - active
            - expiring_soon
            - expired
          example: expiring_soon
        expiresAt:
          type: string
          format: date-time
          example: '2025-12-31T23:59:59.000Z'
        createdAt:
          type: string
          format: date-time
          example: '2025-11-10T12:00:00.000Z'
      required:
        - id
        - plate
        - status
        - expiresAt
        - createdAt

````